set terminal png notransparent crop enhanced size 800,600 font "arial,14"
set grid xtics ytics mytics
set key out vert center top
set logscale y
set xlabel "nb elements"
set ylabel "elapsed time per element [ns/el]"
set output "calibrationBaseNvcppElapsedTimeCyEl.png"
plot "calibration_pvcpp_O2.txt" using 1:2:($2-$4):($2+$4) title "calibration pvcpp O2" with yerrorlines lw 2,
set xlabel "nb elements"
set ylabel "elapsed time [ns]"
set output "calibrationBaseNvcppElapsedTime.png"
plot "calibration_pvcpp_O2.txt" using 1:3:($3-$5):($3+$5) title "calibration pvcpp O2" with yerrorlines lw 2,
