set terminal png notransparent crop enhanced size 800,600 font "arial,14"
set grid xtics ytics mytics
set key out vert center top
set logscale y
set xlabel "nb elements"
set ylabel "elapsed time per element [ns/el]"
set output "calibrationBaseNvcppElapsedTimeCyEl.png"
plot "calibration_nvcpp_O2.txt" using 1:2:($2-$4):($2+$4) title "calibration nvcpp O2" with yerrorlines lw 2,"calibration_nvcpp_O2_precomputed_modulo.txt" using 1:2:($2-$4):($2+$4) title "calibration nvcpp O2 precomputed modulo" with yerrorlines lw 2,"calibration_nvcpp_O2_repeat.txt" using 1:2:($2-$4):($2+$4) title "calibration nvcpp O2 repeat" with yerrorlines lw 2,"calibration_nvcpp_O3_repeat_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration nvcpp O3 repeat vectorize" with yerrorlines lw 2,
set xlabel "nb elements"
set ylabel "elapsed time [ns]"
set output "calibrationBaseNvcppElapsedTime.png"
plot "calibration_nvcpp_O2.txt" using 1:3:($3-$5):($3+$5) title "calibration nvcpp O2" with yerrorlines lw 2,"calibration_nvcpp_O2_precomputed_modulo.txt" using 1:3:($3-$5):($3+$5) title "calibration nvcpp O2 precomputed modulo" with yerrorlines lw 2,"calibration_nvcpp_O2_repeat.txt" using 1:3:($3-$5):($3+$5) title "calibration nvcpp O2 repeat" with yerrorlines lw 2,"calibration_nvcpp_O3_repeat_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration nvcpp O3 repeat vectorize" with yerrorlines lw 2,
