#!/bin/bash

INPUT_FILE="$1"

NB_CORE=$2

NB_LINES=`cat $INPUT_FILE | wc -l`
echo "File with $NB_LINES lines"

NB_POINT=$(($NB_LINES/$NB_CORE))
echo "Get $NB_POINT points"


function splitFileForTread(){
	OUTPUT_FILE="$1"
	SELECT_NB_CORE="$2"
	
	if [ -f "${OUTPUT_FILE}" ]
	then
		echo "Remove '${OUTPUT_FILE}'"
		rm ${OUTPUT_FILE}
	fi
	
	for i in `seq $SELECT_NB_CORE $NB_CORE $NB_LINES`
	do
		cat $INPUT_FILE | head -n $i | tail -n 1 >> ${OUTPUT_FILE}
	done
}

for NB_THREAD in `seq 1 $NB_CORE`
do
	OUTPUT_FILE=`basename $INPUT_FILE | sed -e s/\.txt/_nbThr_${NB_THREAD}\.txt/g`
	echo "OUTPUT_FILE = '$OUTPUT_FILE'"
	splitFileForTread "${OUTPUT_FILE}" "${NB_THREAD}"
done




